# EL7: 2.7.0 # EL8: 2.6.0 # EL9: 2.7.0
Summary: Liberty Alliance Single Sign On (lasso) perl bindings
Name: perl-lasso
Version: 2.7.0
Release: 1%{?dist}
License: GPL-2.0-or-later
URL: https://lasso.entrouvert.org/
Source: https://dev.entrouvert.org/lasso/lasso-%{version}.tar.gz

BuildRequires: autoconf
BuildRequires: automake
BuildRequires: gcc
BuildRequires: lasso-devel
BuildRequires: libtool-ltdl-devel
BuildRequires: make
BuildRequires: perl-devel
BuildRequires: perl-generators
BuildRequires: perl-interpreter
BuildRequires: perl(Error)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(strict)
BuildRequires: perl(Test::More)
BuildRequires: perl(warnings)
BuildRequires: perl(XSLoader)
%if 0%{?el7}
BuildRequires: python
BuildRequires: python2-six
%endif
%if 0%{?fedora} || 0%{?rhel} >= 8
BuildRequires: python3
BuildRequires: python3-six
%endif
BuildRequires: xmlsec1-openssl-devel
Requires: lasso%{?_isa} = %{version}

%description
Perl language bindings for the lasso (Liberty Alliance Single Sign On) library.


%prep
%setup -q -n lasso-%{version}


%build
./autogen.sh \
  --disable-gtk-doc \
  %{?el7:--with-python=%{__python2}} \
  %{!?el7:--with-python=%{__python3}}
%configure \
  --disable-gtk-doc \
  %{?el7:--with-python=%{__python2}} \
  %{!?el7:--with-python=%{__python3}} \
  --enable-perl \
  --disable-java \
  --disable-python \
  --disable-php5 --disable-php7
cd bindings/perl
perl Makefile.PL INSTALLDIRS=vendor
%make_build CFLAGS="%{optflags}" Makefile.perl


%check
cd bindings/perl
make check CK_TIMEOUT_MULTIPLIER=10


%install
cd bindings/perl
%make_install exec_prefix=%{_prefix}
find %{buildroot} \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;
# Remove bogus doc files
rm -fr %{buildroot}%{_docdir}/lasso


%files
%{perl_vendorarch}/Lasso.pm
%{perl_vendorarch}/auto/Lasso/


%changelog
* Mon Nov 27 2023 Xavier Bachelot <xavier@bachelot.org> - 2.7.0-1
- Initial package
